//###################################################################################
// Datei: ftdi245.C
//
// FTRead() FTWrite() fr FT245BM
//
// Last change: 03.02.2006
//###################################################################################
// Compiler AVR-GCC 3.4.3
//###################################################################################
// hk@holger-klabunde.de
// http://www.holger-klabunde.de
//###################################################################################

#include <avr/io.h>
#include "mydefs.h"
#include "ftdi245.h"

unsigned char rxbyte;

void FTDIInit(void)
{
 FTDI_IN();
 sbi(SIWU_DDR,SIWU); //output
 cbi(RXF_DDR,RXF);   //input
 cbi(TXE_DDR,TXE);   //input
 sbi(FTWR_DDR,FTWR); //output
 sbi(FTRD_DDR,FTRD); //output

 FTRD_ON();
 FTWR_ON();
 SIWU_ON();
}


/*
//This is blocking !
unsigned char FTRead(void)
{
 unsigned char rxbyte;
 
 while(RXF_ON);

 FTRD_OFF();
 
#ifdef FCPU4000000
 NOP();
#endif

#ifdef FCPU8000000
 NOP();
#endif

#ifdef FCPU16000000
 NOP();
 NOP();
#endif

 rxbyte=FTDI_READ();
 FTRD_ON();

 return rxbyte;
}
*/
